REST reference
Activity Admin
curl -X DELETE "https://example.com/activities/string"Empty
PUT
/activities/{idOrSlug}Path Parameters
idOrSlug*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/activities/string" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string", "type": "string", "rankingType": "string", "timeZone": "string" }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "rankingType": "string", "timeZone": "string", "startDate": "string", "endDate": "string", "modules": { "questions": true }, "documents": [ { "kind": "string", "language": "string", "title": "string", "validFrom": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 } ], "scoreVisibility": "string", "attachmentVisibility": [ { "name": "string", "visibility": "string" } ], "props": null, "joinPolicy": "string", "unlisted": true, "joinPassword": "string", "hideEndedSeriesProblems": true, "showGroupMembers": true, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissionsPerProblem": 0, "archivedAt": "string", "publishedAt": "string", "seriesCount": 0, "problemCount": 0, "participantCount": 0, "runnerTags": [ "string" ], "matchingRunners": 0}POST
/activities/{idOrSlug}/archivedPath Parameters
idOrSlug*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/activities/string/archived" \ -H "Content-Type: application/json" \ -d '{ "archived": true }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "rankingType": "string", "timeZone": "string", "startDate": "string", "endDate": "string", "modules": { "questions": true }, "documents": [ { "kind": "string", "language": "string", "title": "string", "validFrom": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 } ], "scoreVisibility": "string", "attachmentVisibility": [ { "name": "string", "visibility": "string" } ], "props": null, "joinPolicy": "string", "unlisted": true, "joinPassword": "string", "hideEndedSeriesProblems": true, "showGroupMembers": true, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissionsPerProblem": 0, "archivedAt": "string", "publishedAt": "string", "seriesCount": 0, "problemCount": 0, "participantCount": 0, "runnerTags": [ "string" ], "matchingRunners": 0}POST
/activities/{idOrSlug}/series/orderPath Parameters
idOrSlug*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/activities/string/series/order" \ -H "Content-Type: application/json" \ -d '{ "orderedIds": [ "string" ] }'[ { "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ] }]curl -X GET "https://example.com/activities/string/documents/string"[ { "kind": "string", "language": "string", "title": "string", "validFrom": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 }]POST
/activities/{idOrSlug}/documents/{kind}Path Parameters
idOrSlug*string
kind*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/activities/string/documents/string" \ -H "Content-Type: application/json" \ -d '{ "statements": [ { "fileId": "string" } ] }'{ "id": "string", "slug": "string", "name": "string", "type": "string", "rankingType": "string", "timeZone": "string", "startDate": "string", "endDate": "string", "modules": { "questions": true }, "documents": [ { "kind": "string", "language": "string", "title": "string", "validFrom": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 } ], "scoreVisibility": "string", "attachmentVisibility": [ { "name": "string", "visibility": "string" } ], "props": null, "joinPolicy": "string", "unlisted": true, "joinPassword": "string", "hideEndedSeriesProblems": true, "showGroupMembers": true, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissionsPerProblem": 0, "archivedAt": "string", "publishedAt": "string", "seriesCount": 0, "problemCount": 0, "participantCount": 0, "runnerTags": [ "string" ], "matchingRunners": 0}curl -X DELETE "https://example.com/activities/string/documents/string"{ "id": "string", "slug": "string", "name": "string", "type": "string", "rankingType": "string", "timeZone": "string", "startDate": "string", "endDate": "string", "modules": { "questions": true }, "documents": [ { "kind": "string", "language": "string", "title": "string", "validFrom": "string", "fileId": "string", "sha256": "string", "sizeBytes": 0 } ], "scoreVisibility": "string", "attachmentVisibility": [ { "name": "string", "visibility": "string" } ], "props": null, "joinPolicy": "string", "unlisted": true, "joinPassword": "string", "hideEndedSeriesProblems": true, "showGroupMembers": true, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissionsPerProblem": 0, "archivedAt": "string", "publishedAt": "string", "seriesCount": 0, "problemCount": 0, "participantCount": 0, "runnerTags": [ "string" ], "matchingRunners": 0}POST
/activities/{idOrSlug}/announcementsPath Parameters
idOrSlug*string
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/activities/string/announcements" \ -H "Content-Type: application/json" \ -d '{ "topic": "string", "body": "string" }'{ "id": "string", "activityId": "string", "activitySlug": "string", "kind": "string", "topic": "string", "body": "string", "authorUserId": "string", "authorName": "string", "createdAt": "string", "seriesId": "string", "seriesName": "string", "seriesProblemId": "string", "problemSlug": "string", "problemName": "string", "answer": { "body": "string", "authorName": "string", "answeredAt": "string" }, "isPublished": true, "readCount": 0}